SyncReaderWriter::readunlock
SyncReaderWriter::writeunlock
SyncReaderWriter
PHP Manual

# SyncReaderWriter::writelock

(PECL sync >= 1.0.0)

SyncReaderWriter::writelock — Waits for an exclusive write lock

### Description

public bool SyncReaderWriter::writelock ([ integer `$wait` ] )

Obtains an exclusive write lock on a SyncReaderWriter object.

### Parameters

`wait`

  The number of milliseconds to wait for a lock. A value of -1 is infinite.

### Return Values

A boolean of TRUE if the lock was obtained, FALSE otherwise.

### Examples

Example #1 SyncReaderWriter::writelock() example

`<?php
$readwrite = new SyncReaderWriter("FileCacheLock");
$readwrite->writelock();
/* ... */
$readwrite->writeunlock();
?>`

### See Also

- SyncReaderWriter::writeunlock() - Releases a write lock

SyncReaderWriter::readunlock
SyncReaderWriter::writeunlock
SyncReaderWriter
PHP Manual